net.minecraft.entity.player

## Enum EntityPlayer.EnumChatVisibility

- java.lang.Object
- - java.lang.Enum<EntityPlayer.EnumChatVisibility>
  - - net.minecraft.entity.player.EntityPlayer.EnumChatVisibility

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EntityPlayer.EnumChatVisibility>
  Enclosing class:
    EntityPlayer

      public static enum EntityPlayer.EnumChatVisibility
      extends java.lang.Enum<EntityPlayer.EnumChatVisibility>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FULL`
    `HIDDEN`
    `SYSTEM`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getChatVisibility()`
    `static EntityPlayer.EnumChatVisibility` | `getEnumChatVisibility(int p_151426_0_)`
    `java.lang.String` | `getResourceKey()`
    `static EntityPlayer.EnumChatVisibility` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EntityPlayer.EnumChatVisibility[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FULL

          public static final EntityPlayer.EnumChatVisibility FULL

    - #### SYSTEM

          public static final EntityPlayer.EnumChatVisibility SYSTEM

    - #### HIDDEN

          public static final EntityPlayer.EnumChatVisibility HIDDEN

  - ### Method Detail

    - #### values

          public static EntityPlayer.EnumChatVisibility[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EntityPlayer.EnumChatVisibility c : EntityPlayer.EnumChatVisibility.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EntityPlayer.EnumChatVisibility valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getChatVisibility

          public int getChatVisibility()

    - #### getEnumChatVisibility

          public static EntityPlayer.EnumChatVisibility getEnumChatVisibility(int p_151426_0_)

    - #### getResourceKey

          public java.lang.String getResourceKey()